## org.apache.ivy.plugins.report
Class LogReportOutputter

    java.lang.Object
      org.apache.ivy.plugins.report.LogReportOutputter

All Implemented Interfaces:
  ReportOutputter

    public class LogReportOutputter

extends java.lang.Object
implements ReportOutputter

Field Summary

Fields inherited from interface org.apache.ivy.plugins.report.ReportOutputter
`CONSOLE, XML`

Constructor Summary
`LogReportOutputter()`

Method Summary
`java.lang.String` `getName()`
`void` `output(ConfigurationResolveReport report)`
`void` `output(ResolveReport report, ResolutionCacheManager cacheMgr, ResolveOptions options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogReportOutputter

    public LogReportOutputter()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ReportOutputter`

### output

    public void output(ResolveReport report,
                       ResolutionCacheManager cacheMgr,
                       ResolveOptions options)
                throws java.io.IOException

  Specified by:
    `output` in interface `ReportOutputter`
  Throws:
    `java.io.IOException`

### output

    public void output(ConfigurationResolveReport report)